> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 组织搜索

> 使用 Organization Search 端点在 Apollo 数据库中查找公司。



## OpenAPI

````yaml openapi/zh/apollo.json POST /apollo/mixed_companies/search
openapi: 3.0.3
info:
  title: Apollo API
  version: 1.0.0
  description: 通过 AIsa 统一网关公开的 Apollo API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /apollo/mixed_companies/search:
    post:
      summary: 组织搜索
      description: >-
        使用 Organization Search 端点在 Apollo 数据库中查找公司。可使用多种过滤器来缩小搜索范围。调用此端点会根据你的
        Apollo 定价方案消耗额度。为保障 Apollo 对所有用户的性能，此端点的显示上限为 50,000 条记录（每页 100 条，最多 500
        页）。请添加更多过滤器，尽可能缩小搜索结果范围。此限制不会限制你对 Apollo 数据库的访问；你只需分批访问数据。
      operationId: post_apollo_mixed_companies_search
      parameters:
        - name: q_organization_domains_list[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            此人雇主的域名。可以是当前雇主或以前雇主的域名。请勿包含 www.、@ 符号或类似内容。此参数在单个请求中最多接受 1,000
            个域名。示例：apollo.io；microsoft.com
        - name: organization_num_employees_ranges[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            公司员工人数范围。您可以据此按员工人数查找公司。可以添加多个范围以扩大搜索结果。添加的每个范围都必须是字符串，范围的下限和上限数字之间只能使用逗号分隔。示例：1,10;
            250,500; 10000,20000
        - name: organization_locations[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            公司总部所在地。可在城市、美国各州和国家/地区范围内搜索。如果公司设有多个办公地点，结果仍以总部所在地为准。例如，如果搜索
            chicago，但某公司的总部位于 boston，则所有总部位于 Boston
            的公司都不会出现在搜索结果中，即使它们符合其他参数。要根据位置排除公司，请使用 organization_not_locations
            参数。示例：texas; tokyo; spain
        - name: organization_not_locations[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            根据公司总部所在地从搜索结果中排除公司。您可以使用城市、美国州和国家/地区作为要排除的位置。此参数有助于确保您不会在不希望开发的地区寻找潜在客户。例如，如果使用
            ireland 作为值，搜索结果中将不会出现总部位于爱尔兰的公司。示例：minnesota; ireland; seoul
        - name: revenue_range[min]
          in: query
          required: false
          schema:
            type: integer
          description: >-
            根据收入搜索组织。使用此参数设置组织收入范围的下限。使用 revenue_range[max]
            参数设置收入范围的上限。数值中请勿输入货币符号、逗号或小数点。示例：300000
        - name: revenue_range[max]
          in: query
          required: false
          schema:
            type: integer
          description: >-
            根据组织营收搜索组织。使用此参数设置组织营收范围的上限。使用 revenue_range[min]
            参数设置营收范围的下限。数值中请勿输入货币符号、逗号或小数点。示例：50000000
        - name: currently_using_any_of_technology_uids[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            根据组织当前使用的技术查找组织。Apollo 支持按 1,500 多种技术进行筛选。Apollo
            根据多个来源计算技术数据。此数据会定期更新。下载此 CSV 文件可查看支持的技术完整列表。对于 CSV
            文件中列出的技术，请使用下划线（_）替换空格和句点。示例：salesforce; google_analytics;
            wordpress_org
        - name: q_organization_keyword_tags[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            根据与公司相关的关键词筛选搜索结果。例如，可以输入 mining 作为值，仅返回与采矿行业相关的公司。示例：mining; sales
            strategy; consulting
        - name: q_organization_name
          in: query
          required: false
          schema:
            type: string
          description: >-
            筛选搜索结果，使其包含特定公司名称。如果为此参数输入的值与公司名称不匹配，即使该公司符合其他参数，也不会出现在搜索结果中。接受部分匹配。例如，如果按值
            marketing 进行筛选，名为 NY Marketing Unlimited 的公司仍可作为搜索结果，但 NY Market
            Analysis 不符合条件。示例：apollo or mining
        - name: organization_ids[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: >-
            要包含在搜索结果中的公司的 Apollo ID。Apollo 数据库中的每家公司都会分配一个唯一 ID。要查找这些
            ID，请在调用此端点时识别 organization_id 的值。示例：5e66b6381e05b4008c8331b8
        - name: latest_funding_amount_range[min]
          in: query
          required: false
          schema:
            type: integer
          description: >-
            公司在最近一轮融资中获得的最低金额。将此参数与 latest_funding_amount_range[max]
            结合使用，可为公司最近一轮融资设置金额范围。数字中请勿输入货币符号、逗号或小数点。示例：5000000；15000000
        - name: latest_funding_amount_range[max]
          in: query
          required: false
          schema:
            type: integer
          description: >-
            公司在最近一轮融资中获得的最高金额。将此参数与 latest_funding_amount_range[min]
            结合使用，可为公司最近一轮融资设置金额范围。数字中请勿输入货币符号、逗号或小数点。示例：5000000；15000000
        - name: total_funding_range[min]
          in: query
          required: false
          schema:
            type: integer
          description: >-
            公司在所有融资轮次中获得的资金总额下限。将此参数与 total_funding_range[max]
            结合使用，可为公司的所有融资轮次设置金额范围。数值中请勿输入货币符号、逗号或小数点。示例：50000000；350000000
        - name: total_funding_range[max]
          in: query
          required: false
          schema:
            type: integer
          description: >-
            公司在所有融资轮次中获得的资金总额上限。将此参数与 total_funding_range[min]
            结合使用，可为公司的所有融资轮次设置金额范围。数值中请勿输入货币符号、逗号或小数点。示例：50000000；350000000
        - name: latest_funding_date_range[min]
          in: query
          required: false
          schema:
            type: string
          description: >-
            公司获得最近一轮融资的最早日期。将此参数与 latest_funding_date_range[max]
            结合使用，可设置公司获得最近一轮融资的日期范围。示例：2025-07-25
        - name: latest_funding_date_range[max]
          in: query
          required: false
          schema:
            type: string
          description: >-
            公司获得最近一轮融资的最晚日期。将此参数与 latest_funding_date_range[min]
            结合使用，可设置公司获得最近一轮融资的日期范围。示例：2025-09-25
        - name: q_organization_job_titles[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: 公司当前招聘职位中列出的职位名称。示例：销售经理；研究分析师
        - name: organization_job_locations[]
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: 公司正在招聘的职位所在地。示例：atlanta；japan
        - name: organization_num_jobs_range[min]
          in: query
          required: false
          schema:
            type: integer
          description: >-
            公司当前有效职位发布数量的最小值。请将此参数与 organization_num_jobs_range[max]
            结合使用，以设置职位发布数量范围。示例：50；500
        - name: organization_num_jobs_range[max]
          in: query
          required: false
          schema:
            type: integer
          description: >-
            公司当前有效招聘职位的最大数量。请将此参数与 organization_num_jobs_range[min]
            结合使用，以设置招聘职位数量范围。示例：50；500
        - name: organization_job_posted_at_range[min]
          in: query
          required: false
          schema:
            type: string
          description: >-
            该公司发布职位的最早日期。将此参数与 organization_job_posted_at_range[max]
            结合使用，以设置职位发布日期范围。示例：2025-07-25
        - name: organization_job_posted_at_range[max]
          in: query
          required: false
          schema:
            type: string
          description: >-
            公司发布职位的最晚日期。请将此参数与 organization_job_posted_at_range[min]
            结合使用，以设置职位发布日期范围。示例：2025-09-25
        - name: page
          in: query
          required: false
          schema:
            type: integer
          description: 要检索的 Apollo 数据页码。将此参数与 per_page 参数结合使用，使搜索结果可分页浏览并提高端点性能。示例：4
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
          description: 每页应返回的搜索结果数量。限制每页的结果数量可提高端点性能。使用 page 参数搜索不同的数据页。示例：10
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  breadcrumbs:
                    type: array
                    items:
                      type: string
                    description: 响应数组
                  partial_results_only:
                    type: boolean
                    description: 响应字段
                  has_join:
                    type: boolean
                    description: 响应字段
                  disable_eu_prospecting:
                    type: boolean
                    description: 响应字段
                  partial_results_limit:
                    type: integer
                    description: 响应字段
                  pagination:
                    type: object
                    description: 响应对象
                  accounts:
                    type: array
                    items:
                      type: string
                    description: 响应数组
                  organizations:
                    type: array
                    items:
                      type: string
                    description: 响应数组
                  model_ids:
                    type: array
                    items:
                      type: string
                    description: 响应数组
                  num_fetch_result:
                    type: string
                    description: 响应字段
                  derived_params:
                    type: string
                    description: 响应字段
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````